{% extends 'layout.html' %}

{% block content %}
    <a href="/admin/products/new" class="button w-max flex flex-col items-center gap-1 text-grey-dark p-3 bg-yellow rounded-lg"><i class="w-6 h-auto mx-auto" lucide="file-plus"></i><p>new product</p></a>

    <div class="grid grid-cols-2 lg:grid-cols-3 gap-6">
        <h2 class="col-span-2 lg:col-span-3 text-3xl text-yellow">Active products</h2>
        {% for product in products %}
            {% if product['is_active'] == True %}
                <a href="/admin/products/{{ product['id'] }}" class="col-span-2 md:col-span-1 grid grid-cols-3 items-center px-8 py-8 bg-grey-dark gap-4 rounded-lg">
                    {% if product['picture'] == None %}
                        <div class="w-16 h-16 rounded-md bg-yellow"></div>
                    {% else %}
                        <img class="w-16 h-16 rounded-md" src="https://api.tuks.dev{{ product['picture'] }}" alt="">
                    {% endif %}
                    <div class="col-span-2 flex flex-col">
                        <p class="text-yellow">{{ product['name'] }}</p>
                        <p>Selling price: {{ "€ %.2f"|format(product['price']) }}</p>
                        <p>Stock: {{ product['stock'] }}</p>
                    </div>
                </a>
            {% endif %}
        {% endfor %}

        <h2 class="col-span-2 lg:col-span-3 text-3xl text-yellow">Inactive products</h2>
        {% for product in products %}
            {% if product['is_active'] == False %}
                <a href="/admin/products/{{ product['id'] }}" class="grid grid-cols-3 items-center px-8 py-8 bg-grey-dark gap-4 rounded-lg">
                    {% if product['picture'] == None %}
                        <div class="w-16 h-16 rounded-md bg-yellow"></div>
                    {% else %}
                        <img class="w-16 h-16 rounded-md" src="https://api.tuks.dev{{ product['picture'] }}" alt="">
                    {% endif %}
                    <div class="col-span-2 flex flex-col">
                        <p class="text-yellow">{{ product['name'] }}</p>
                        <p>Selling price: {{ "€ %.2f"|format(product['price']) }}</p>
                        <p>Stock: {{ product['stock'] }}</p>
                    </div>
                </a>
            {% endif %}
        {% endfor %}
    </div>

{% endblock content %}